<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:panelGroup rendered="#{auditSource != null}">
        <ui:decorate template="/audit-messages/template/elementsTable.xhtml">
            <tr class="rf-dt-r rf-dt-fst-r">
                <th rowspan="4" class="rf-dt-hdr-c">
                    <p>#{messages['net.ihe.gazelle.audit.message.AuditSourceIdentification']}</p>
                    <p>
                        <a4j:commandLink oncomplete="jq162('#add_extra_dicom_as').modal('show')"
                                         render="add_extra_dicom_as_select" styleClass="gzl-btn btn-sm"
                                         title="#{messages['net.ihe.gazelle.audit.message.AddAnOptionalDicomSpecification']}">
                            <span class="fa fa-plus"></span>
                            <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AddDICOMOption']}"/>
                        </a4j:commandLink>
                    </p>
                </th>
                <td class="rf-dt-c">
                    <h:outputText value="#{messages['net.ihe.gazelle.audit.message.AuditSourceID']}"/>
                </td>
                <td class="rf-dt-c">
                    <h:selectOneMenu value="#{auditSource.auditSourceID.optionality}" class="form-control">
                        <s:selectItems value="#{auditMessageEditor.optionalityValues}" var="val"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.audit.message.PleaseSelect']}"
                                       label="#{val}"/>
                    </h:selectOneMenu>
                </td>
                <td class="rf-dt-c">
                    <h:inputText value="#{auditSource.auditSourceID.value}" styleClass="form-control"/>
                </td>
                <td class="rf-dt-c">
                    <h:inputText value="#{auditSource.auditSourceID.regex}" styleClass="form-control"/>
                </td>
            </tr>
            <ui:include src="../template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.AuditEnterpriseSiteID']}"/>
                <ui:param name="elementDescription" value="#{auditSource.auditEnterpriseSiteID}"/>
            </ui:include>
            <ui:include src="../template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.AuditSourceTypeCode']}"/>
                <ui:param name="elementDescription" value="#{auditSource.auditSourceTypeCode}"/>
            </ui:include>
            <ui:include src="../template/elementDescriptionInput.xhtml">
                <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.AuditSourceCodeValue']}"/>
                <ui:param name="elementDescription" value="#{auditSource.auditSourceCodeValue}"/>
            </ui:include>
        </ui:decorate>
    </h:panelGroup>
    <h:panelGroup rendered="#{auditSource == null}">
        <p class="gzl-alert gzl-alert-orange">#{messages['net.ihe.gazelle.audit.message.NoAuditSourceIdentificationDefined']}</p>
    </h:panelGroup>
</ui:composition>
